## ros-melodic-pilz-control 0.5.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_control)

find_package(catkin
  REQUIRED COMPONENTS
    cmake_modules
    roscpp
    std_srvs
    joint_trajectory_controller
    roslint
    controller_manager
    controller_interface
    moveit_core
    moveit_ros_planning
    pilz_msgs
)

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS
  roscpp
  std_srvs
  pilz_msgs
  joint_trajectory_controller
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

add_definitions(-std=c++11)

find_package(Eigen3 REQUIRED)
include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS})

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

add_library(${PROJECT_NAME}
            include/${PROJECT_NAME}/pilz_joint_trajectory_controller.h
            src/pilz_joint_trajectory_controller.cpp
            src/cartesian_speed_monitor.cpp)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# install
install(TARGETS ${PROJECT_NAME}
ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

install(FILES ${PROJECT_NAME}_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# test
if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(geometry_msgs REQUIRED)
  find_package(tf2 REQUIRED)
  find_package(tf2_geometry_msgs REQUIRED)
  find_package(pilz_utils REQUIRED)
  find_package(pilz_testutils REQUIRED)

  if(ENABLE_COVERAGE_TESTING)
    find_package(code_coverage REQUIRED)
    APPEND_COVERAGE_COMPILER_FLAGS()
  endif()

  include_directories(test_utils/include)
  include_directories(${pilz_utils_INCLUDE_DIRS})
  include_directories(${pilz_testutils_INCLUDE_DIRS})

  # JOINT_STATES_SPEED_OBSERVER
  add_executable(joint_states_speed_observer
    test_utils/src/joint_states_speed_observer.cpp
  )
  target_link_libraries(joint_states_speed_observer ${catkin_LIBRARIES})

  add_executable(robot_mock
    test/robot_mock_node.cpp
    test/robot_mock.cpp
  )
  target_link_libraries(robot_mock ${catkin_LIBRARIES})

  add_rostest_gmock(unittest_joint_states_speed_observer
    test/unittest_joint_states_speed_observer.test
    test/unittest_joint_states_speed_observer.cpp
  )
  target_link_libraries(unittest_joint_states_speed_observer
    ${catkin_LIBRARIES} ${pilz_testutils_LIBRARIES}
  )
  add_dependencies(unittest_joint_states_speed_observer
    joint_states_speed_observer
    ${catkin_EXPORTED_TARGETS}
  )

  catkin_add_gtest(unittest_cartesian_speed_monitor
    test/unittest_cartesian_speed_monitor.cpp
    src/cartesian_speed_monitor.cpp
  )
  target_link_libraries(unittest_cartesian_speed_monitor
    ${catkin_LIBRARIES}
  )

  catkin_add_gtest(unittest_traj_mode_state_machine
    test/unittest_traj_mode_state_machine.cpp
  )
  target_link_libraries(unittest_traj_mode_state_machine
    ${catkin_LIBRARIES}
  )

  catkin_add_gtest(unittest_hold_mode_listener
    test/unittest_hold_mode_listener.cpp
  )
  target_link_libraries(unittest_hold_mode_listener
    ${catkin_LIBRARIES}
  )

  catkin_add_gtest(unittest_traj_mode_manager
    test/unittest_traj_mode_manager.cpp
  )
  target_link_libraries(unittest_traj_mode_manager
    ${catkin_LIBRARIES}
  )

  add_rostest_gmock(unittest_pilz_joint_trajectory_controller
    test/unittest_pilz_joint_trajectory_controller.test
    test/unittest_pilz_joint_trajectory_controller.cpp
    test/robot_mock.cpp
    src/cartesian_speed_monitor.cpp
  )
  target_link_libraries(unittest_pilz_joint_trajectory_controller ${catkin_LIBRARIES})

  add_rostest_gtest(unittest_pilz_joint_trajectory_controller_is_executing
    test/unittest_pilz_joint_trajectory_controller_is_executing.test
    test/unittest_pilz_joint_trajectory_controller_is_executing.cpp
    test/robot_mock.cpp
    src/cartesian_speed_monitor.cpp
  )
  target_link_libraries(unittest_pilz_joint_trajectory_controller_is_executing ${catkin_LIBRARIES})

  add_rostest_gtest(unittest_get_joint_acceleration_limits
    test/unittest_get_joint_acceleration_limits.test
    test/unittest_get_joint_acceleration_limits.cpp
  )
  target_link_libraries(unittest_get_joint_acceleration_limits ${catkin_LIBRARIES})

  add_rostest(test/integrationtest_pilz_joint_trajectory_controller.test
    DEPENDENCIES ${PROJECT_NAME} robot_mock
  )

  roslint_python(
    test/acceptance_test_speed_monitoring.py
    test/acceptance_test_acceleration_limit.py
    test/integrationtest_pilz_joint_trajectory_controller.py
    test/controller_state_observer.py
    test/holding_mode_service_wrapper.py
    test/trajectory_dispatcher.py
  )
  roslint_add_test()

  # run: catkin_make -DENABLE_COVERAGE_TESTING=ON package_name_coverage
  if(ENABLE_COVERAGE_TESTING)
    APPEND_COVERAGE_COMPILER_FLAGS()
    set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test/*")
    add_code_coverage(
      NAME ${PROJECT_NAME}_coverage
      DEPENDS tests
    )
  endif()


endif()

=== debian/changelog ===
ros-melodic-pilz-control (0.5.21-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-pilz-control (0.5.20-1stretch) stretch; urgency=high

  * Remove ROSNotOKException (#458)
  * Fix wrong include for logger mock (#461)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-pilz-control (0.5.19-1stretch) stretch; urgency=high

  * Add tolerance to speed-limit acceptance-test (#436)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.18-1stretch) stretch; urgency=high

  * Make AsyncTest header-only
  * Extends robot mock
  * Fixes result of follow_joint_trajectory action
  * Rename triggerCancellingOfActiveGoal() -> cancelActiveGoal()
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.17-1stretch) stretch; urgency=high

  * Add cartesian speed monitoring to pilz joint trajectory controller
  * Deactivate command interface in PilzJointTrajectoryController
  * Add joint acceleration limits to pilz joint trajectory controller
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.16-1stretch) stretch; urgency=high

  * Update and apply clang-format (#387)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.15-1stretch) stretch; urgency=high

  * Introduce goal_time_tolerance to PJTC function is_executing
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.14-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-melodic-pilz-control (0.5.13-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-control (0.5.12-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-control (0.5.11-1stretch) stretch; urgency=high

  * Fix clang compiler errors (#283)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-control (0.5.10-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.9-1stretch) stretch; urgency=high

  * Minor fixes
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.8-1stretch) stretch; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.7-1stretch) stretch; urgency=high

  * Add is_executing service to joint trajectory controller
  * Better handling consecutive calls on the hold service of joint trajectory controller
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.6-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.5-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.4-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.3-1stretch) stretch; urgency=high

  * Fixes for new JointTrajectoryController Interface
  * drop outdated can configuration
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.2-1stretch) stretch; urgency=high

  * Increase controller holding mode user feedback from INFO to WARN
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-melodic-pilz-control (0.5.1-1stretch) stretch; urgency=high

  * melodic release based on kinetic version 0.4.3
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.5.0-1stretch) stretch; urgency=high

  * fix joint trajectory controller due to new interface
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.4.3-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.4.2-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.4.1-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.4.0-1stretch) stretch; urgency=high

  * joint trajectory controller with holding mode functionality

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 05 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-pilz-control
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-code-coverage, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-geometry-msgs, ros-melodic-joint-trajectory-controller, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning, ros-melodic-pilz-msgs, ros-melodic-pilz-testutils, ros-melodic-pilz-utils, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-std-srvs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs
Homepage: http://ros.org/wiki/pilz_control
Standards-Version: 3.9.2

Package: ros-melodic-pilz-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-joint-trajectory-controller, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning, ros-melodic-pilz-msgs, ros-melodic-roscpp, ros-melodic-std-srvs
Description: This package provides a specialized joint_trajectory_controller that can be moved into holding state via service call.
 No further trajectories will be accepted/followed in this state.

## ros-melodic-pilz-control 0.5.23

=== debian/changelog ===
ros-melodic-pilz-control (0.5.23-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 20 Jul 2021 22:00:00 -0000

ros-melodic-pilz-control (0.5.22-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 11 Jul 2021 22:00:00 -0000

ros-melodic-pilz-control (0.5.21-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-pilz-control (0.5.20-1bionic) bionic; urgency=high

  * Remove ROSNotOKException (#458)
  * Fix wrong include for logger mock (#461)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-pilz-control (0.5.19-1bionic) bionic; urgency=high

  * Add tolerance to speed-limit acceptance-test (#436)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.18-1bionic) bionic; urgency=high

  * Make AsyncTest header-only
  * Extends robot mock
  * Fixes result of follow_joint_trajectory action
  * Rename triggerCancellingOfActiveGoal() -> cancelActiveGoal()
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.17-1bionic) bionic; urgency=high

  * Add cartesian speed monitoring to pilz joint trajectory controller
  * Deactivate command interface in PilzJointTrajectoryController
  * Add joint acceleration limits to pilz joint trajectory controller
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.16-1bionic) bionic; urgency=high

  * Update and apply clang-format (#387)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.15-1bionic) bionic; urgency=high

  * Introduce goal_time_tolerance to PJTC function is_executing
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-pilz-control (0.5.14-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-melodic-pilz-control (0.5.13-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-pilz-control (0.5.12-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-pilz-control (0.5.11-1bionic) bionic; urgency=high

  * Fix clang compiler errors (#283)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-pilz-control (0.5.10-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.9-1bionic) bionic; urgency=high

  * Minor fixes
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.8-1bionic) bionic; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.7-1bionic) bionic; urgency=high

  * Add is_executing service to joint trajectory controller
  * Better handling consecutive calls on the hold service of joint trajectory controller
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.6-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.5-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.4-1bionic) bionic; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.3-1bionic) bionic; urgency=high

  * Fixes for new JointTrajectoryController Interface
  * drop outdated can configuration
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-melodic-pilz-control (0.5.2-1bionic) bionic; urgency=high

  * Increase controller holding mode user feedback from INFO to WARN
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-melodic-pilz-control (0.5.1-1bionic) bionic; urgency=high

  * melodic release based on kinetic version 0.4.3
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.5.0-1bionic) bionic; urgency=high

  * fix joint trajectory controller due to new interface
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.4.3-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.4.2-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.4.1-1bionic) bionic; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-pilz-control (0.4.0-1bionic) bionic; urgency=high

  * joint trajectory controller with holding mode functionality

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 05 Nov 2018 23:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pilz-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
